Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	GNOME Bluetooth Subsystem
Name: 		gnome-bluetooth
Version: 	0.11.0
Release: 	1
License: 	GPLv2 and LGPLv2+
Group: 		System/Libraries
URL: 		http://usefulinc.com/software/gnome-bluetooth
Source: 	http://ftp.gnome.org/pub/gnome/sources/gnome-bluetooth/0.9/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	autoconf >= 2.57 bluez-libs-devel >= 2.8 bluez-utils 
BuildRequires: 	libgnomeui-devel >= 2.2 libbonobo-devel >= 2.0
BuildRequires: 	GConf-devel >= 2.0 librsvg-devel
BuildRequires: 	libbtctl-devel >= 0.9.0
BuildRequires: 	gob2 openobex-devel >= 1.0.1
BuildRequires: 	PyGTK-devel python-devel
BuildRequires: 	intltool automake libtool gettext
Requires: %{name}-libs = %{version}-%{release}
Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf
Requires: 	bluez-utils
Patch1: 	gnome-bluetooth-0.8.0-desktop.patch

%description
This package contains a Bonobo server to control Bluetooth devices,
and a simple GUI to explore which devices are available
(gnome-bluetooth-manager).  Also, an OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your PC,
and save them in your home directory.

%package libs
Summary: Libraries for applications, which use gnome-bluetooth
Group: Development/Libraries

%description libs
This package contains the libraries for applications, 
which use gnome-bluetooth.

%package devel
Summary: Files for the development of applications, which use gnome-bluetooth
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: glib-devel
Requires: libbtctl-devel

%description devel
This package contains the files for the development of applications,
which will use gnome-bluetooth.

%prep
%setup -q
%patch1 -p1 -b .dfix

%build
%configure --sysconfdir=%_sysconfdir/gnome
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install 

# Python's .m4 sucks
if [ $RPM_BUILD_ROOT/usr/lib/ != $RPM_BUILD_ROOT%{_libdir}/ ] ; then
	mv $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT%{_libdir}/
	rmdir $RPM_BUILD_ROOT/usr/lib
fi

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gnome-obex-server.schemas >/dev/null || :
fi

%post libs -p /sbin/ldconfig

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gnome/gconf/schemas/gnome-obex-server.schemas > /dev/null || :

%postun libs -p /sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gnome-obex-server.schemas > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
#GPLv2
%doc AUTHORS COPYING ChangeLog NEWS README 
#%{_bindir}/gnome-obex-send
%{_bindir}/gnome-obex-server
%{_datadir}/applications/gnome-obex-server.desktop
%{_datadir}/gnome-bluetooth/
%{_datadir}/pixmaps/*
%{_sysconfdir}/gnome/gconf/schemas/gnome-obex-server.schemas

%files libs
%defattr(-, root, root)
#GPLv2
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_libdir}/python*.*/site-packages/gnomebt/
#LGPLv2+
%{_libdir}/libgnomebt.so.*

%files devel
%defattr(-, root, root)
#GPLv2
%doc COPYING
%{_libdir}/pkgconfig/gnome-bluetooth.pc
%{_includedir}/gnome-bluetooth/
#LGPLv2+
%{_libdir}/libgnomebt.so
%{_libdir}/libgnomebt.la

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.11.0-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Initital release
